<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>net.ihe.gazelle.maven</groupId>
        <artifactId>SchematronValidator</artifactId>
        <version>2.6.3-SNAPSHOT</version>
    </parent>
    <properties>
        <metadata.v7.version>1.0.0</metadata.v7.version>
    </properties>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>SchematronValidator-ejb</artifactId>
    <packaging>ejb</packaging>
    <name>SchematronValidator-ejb</name>
    <issueManagement>
        <system>Jira</system>
        <url>https://gazelle.ihe.net/jira</url>
    </issueManagement>
    <ciManagement>
        <system>Jenkins</system>
        <url>https://gazelle.ihe.net/jenkins</url>
    </ciManagement>
    <organization>
        <name>INRIA - IHE Development</name>
        <url>https://gazelle.ihe.net</url>
    </organization>
    <build>
        <resources>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/resources</directory>
            </resource>
        </resources>
        <finalName>SchematronValidator-ejb</finalName>
        <plugins>
            <plugin>
                <groupId>org.jacoco</groupId>
                <artifactId>jacoco-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
    <dependencies>

        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-preferences</artifactId>
            <type>ejb</type>
        </dependency>

        <!-- JBoss Rules -->
        <dependency>
            <groupId>org.drools</groupId>
            <artifactId>drools-core</artifactId>
            <version>${version.drools}</version>
            <exclusions>
                <exclusion>
                    <groupId>joda-time</groupId>
                    <artifactId>joda-time</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.drools</groupId>
            <artifactId>drools-compiler</artifactId>
            <version>${version.drools}</version>
        </dependency>

        <dependency>
            <groupId>org.drools</groupId>
            <artifactId>drools-decisiontables</artifactId>
            <version>${version.drools}</version>
        </dependency>
        <dependency>
            <groupId>org.drools</groupId>
            <artifactId>drools-templates</artifactId>
            <version>${version.drools}</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>servlet-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jdom</groupId>
            <artifactId>jdom</artifactId>
            <version>1.1</version>
            <type>jar</type>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven.tools</groupId>
            <artifactId>gazelle-axis2-client</artifactId>
            <version>1.22.0</version>
            <type>pom</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>ihe-xmltools-jar</artifactId>
            <version>1.0.4</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.common.code</groupId>
            <artifactId>common-code-jar</artifactId>
            <version>2.0.3</version>
        </dependency>
        <!-- MIF validation -->
        <dependency>
            <groupId>org.eclipse.ohf</groupId>
            <artifactId>InstanceValidator</artifactId>
            <version>1.2.IHE</version>
            <type>jar</type>
        </dependency>
        <dependency>
            <groupId>org.opengis.cite.xerces</groupId>
            <artifactId>xercesImpl-xsd11</artifactId>
            <version>2.12-beta-r1667115</version>
        </dependency>
        <dependency>
            <groupId>net.sf.saxon</groupId>
            <artifactId>Saxon-HE</artifactId>
            <version>9.8.0-12</version>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-log4j12</artifactId>
            <version>1.6.6</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.hql</groupId>
            <artifactId>gazelle-hql</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>cas-client-v7</artifactId>
        </dependency>
        <dependency>
            <groupId>org.kohsuke.metainf-services</groupId>
            <artifactId>metainf-services</artifactId>
            <version>1.3</version>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-c3p0</artifactId>
        </dependency>
        <dependency>
            <groupId>uk.com.robust-it</groupId>
            <artifactId>cloning</artifactId>
            <version>1.7.9</version>
        </dependency>
        <dependency>
            <groupId>org.jboss.spec.javax.ejb</groupId>
            <artifactId>jboss-ejb-api_3.1_spec</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.spec.javax.faces</groupId>
            <artifactId>jboss-jsf-api_2.1_spec</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.hibernate.javax.persistence</groupId>
            <artifactId>hibernate-jpa-2.0-api</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.maven</groupId>
            <artifactId>gazelle-seam-tools-jar</artifactId>
            <type>ejb</type>
            <exclusions>
                <exclusion>
                    <artifactId>jsf-facelets</artifactId>
                    <groupId>com.sun.facelets</groupId>
                </exclusion>
                <exclusion>
                    <artifactId>xercesImpl</artifactId>
                    <groupId>xerces</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.jboss.spec.javax.ws.rs</groupId>
            <artifactId>jboss-jaxrs-api_1.1_spec</artifactId>
            <version>1.0.1.Final</version>
        </dependency>
        <dependency>
            <groupId>org.jasig.cas.client</groupId>
            <artifactId>cas-client-core</artifactId>
            <version>3.4.1</version>
            <type>jar</type>
            <scope>compile</scope>
            <exclusions>
                <exclusion>
                    <artifactId>commons-logging</artifactId>
                    <groupId>commons-logging</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.richfaces.ui</groupId>
            <artifactId>richfaces-components-ui</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.richfaces.core</groupId>
            <artifactId>richfaces-core-impl</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.google.gwt</groupId>
            <artifactId>gwt-servlet</artifactId>
        </dependency>
        <dependency>
            <groupId>com.gitb</groupId>
            <artifactId>gitb-types</artifactId>
            <version>${gitb.version}</version>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>metadata-v7</artifactId>
            <version>${metadata.v7.version}</version>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>org.jboss.resteasy</groupId>
            <artifactId>resteasy-jaxrs</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.resteasy</groupId>
            <artifactId>resteasy-jaxb-provider</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-resteasy</artifactId>
        </dependency>
        <dependency>
            <groupId>org.scannotation</groupId>
            <artifactId>scannotation</artifactId>
            <version>1.0.2</version>
        </dependency>
        <dependency>
            <groupId>javax.mail</groupId>
            <artifactId>mail</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-transformation-ws-client</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>sso-api-v7</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>cas-client-v7</artifactId>
        </dependency>

        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-validation-ws</artifactId>
            <version>2.0.5</version>
        </dependency>

        <!-- test dependencies -->
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <version>2.13.0</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.12</version>
        </dependency>
    </dependencies>
</project>